Package com.sun.messaging.jms.management.server

# Class DestinationNotification

java.lang.Object
java.util.EventObject
javax.management.Notification
com.sun.messaging.jms.management.server.MQNotification
com.sun.messaging.jms.management.server.DestinationNotification

All Implemented Interfaces:
  `Serializable`

public class DestinationNotification extends MQNotification
Class containing information on consumer notifications.

The MQ specific fields in this notification is TBD.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DESTINATION_COMPACT`
  A destination was compacted.
  `static final String`
  `DESTINATION_CREATE`
  A destination was created.
  `static final String`
  `DESTINATION_DESTROY`
  A destination was destroyed.
  `static final String`
  `DESTINATION_PAUSE`
  A destination was paused.
  `static final String`
  `DESTINATION_PURGE`
  A destination was purged.
  `static final String`
  `DESTINATION_RESUME`
  A destination was resumed.

  ### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

  `PREFIX`

  ### Fields inherited from class javax.management.Notification

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DestinationNotification(String type, Object source, long sequenceNumber)`
  Creates a DestinationNotification object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getCreatedByAdmin()`
  `String`
  `getDestinationName()`
  `String`
  `getDestinationType()`
  `String`
  `getPauseType()`
  `void`
  `setCreatedByAdmin(boolean createdByAdmin)`
  `void`
  `setDestinationName(String name)`
  `void`
  `setDestinationType(String type)`
  `void`
  `setPauseType(String pauseType)`

  ### Methods inherited from class javax.management.Notification

  `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

  ### Methods inherited from class java.util.EventObject

  `getSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DESTINATION_COMPACT

    public static final String DESTINATION_COMPACT
    A destination was compacted.
    See Also:
      - Constant Field Values

  - ### DESTINATION_CREATE

    public static final String DESTINATION_CREATE
    A destination was created.
    See Also:
      - Constant Field Values

  - ### DESTINATION_DESTROY

    public static final String DESTINATION_DESTROY
    A destination was destroyed.
    See Also:
      - Constant Field Values

  - ### DESTINATION_PAUSE

    public static final String DESTINATION_PAUSE
    A destination was paused.
    See Also:
      - Constant Field Values

  - ### DESTINATION_PURGE

    public static final String DESTINATION_PURGE
    A destination was purged.
    See Also:
      - Constant Field Values

  - ### DESTINATION_RESUME

    public static final String DESTINATION_RESUME
    A destination was resumed.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DestinationNotification

    public DestinationNotification(String type, Object source, long sequenceNumber)
    Creates a DestinationNotification object.
    Parameters:
      `type` - The notification type.
      `source` - The notification source.
      `sequenceNumber` - The notification sequence number within the source object.

- ## Method Details

  - ### setDestinationName

    public void setDestinationName(String name)

  - ### getDestinationName

    public String getDestinationName()

  - ### setDestinationType

    public void setDestinationType(String type)

  - ### getDestinationType

    public String getDestinationType()

  - ### setPauseType

    public void setPauseType(String pauseType)

  - ### getPauseType

    public String getPauseType()

  - ### setCreatedByAdmin

    public void setCreatedByAdmin(boolean createdByAdmin)

  - ### getCreatedByAdmin

    public boolean getCreatedByAdmin()